# __gnu_cxx::__normal_iterator< _Iterator, _Container > Class Template Reference

List of all members.

## Detailed Description

### template<typename _Iterator, typename _Container>
class __gnu_cxx::__normal_iterator< _Iterator, _Container >

Definition at line 636 of file stl_iterator.h.

## Public Types

- typedef iterator_traits< _Iterator
  >::difference_type difference_type
- typedef iterator_traits< _Iterator
  >::iterator_category iterator_category
- typedef iterator_traits< _Iterator
  >::pointer pointer
- typedef iterator_traits< _Iterator
  >::reference reference
- typedef iterator_traits< _Iterator
  >::value_type value_type

## Public Member Functions

- template<typename _Iter> __normal_iterator (const __normal_iterator< _Iter, typename __enable_if< (std::__are_same< _Iter, typename _Container::pointer >::__value), _Container >::__type > &__i)
- __normal_iterator (const _Iterator &__i)
- __normal_iterator ()
- const _Iterator & base () const
- reference operator * () const
- __normal_iterator operator+ (const difference_type &__n) const
- __normal_iterator operator++ (int)
- __normal_iterator & operator++ ()
- __normal_iterator & operator+= (const difference_type &__n)
- __normal_iterator operator- (const difference_type &__n) const
- __normal_iterator operator-- (int)
- __normal_iterator & operator-- ()
- __normal_iterator & operator-= (const difference_type &__n)
- pointer operator-> () const
- reference operator[] (const difference_type &__n) const

## Protected Attributes

- _Iterator _M_current

The documentation for this class was generated from the following file:

- stl_iterator.h